> For the complete documentation index, see [llms.txt](https://developer.dashdoc.com/docs/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.dashdoc.com/docs/api-reference/segments.md).

# Segments

## PATCH /segments/{uid\_or\_remote\_id}/

> Partially update a segment

````json
{"openapi":"3.0.0","info":{"title":"Dashdoc public API","version":"4.0"},"tags":[{"name":"Segments"}],"servers":[{"description":"Production","url":"https://api.dashdoc.eu/api/v4"},{"description":"Sandbox","url":"https://sandbox.dashdoc.eu/api/v4"}],"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"description":"Authentication is token based. You can issue a token for your API request from the ['API' section of the settings](http://dashdoc.eu/app/settings/api/) menu. The token MUST be sent in a `Authorization` header with each request.\n\n\n**Example of authenticated request**\n```\n$ curl -X GET -H \"Authorization: Token <your token>\" \"https://api.dashdoc.eu/api/v4/\"\n```\n","in":"header","name":"Authentication","type":"apiKey"}},"schemas":{"UpdateSegment":{"properties":{"remote_id":{"description":"The id of the segment in your system.","type":"string"},"origin":{"$ref":"#/components/schemas/CreateOrUpdateSite_1"},"destination":{"$ref":"#/components/schemas/CreateOrUpdateSite_1"},"vehicle":{"$ref":"#/components/schemas/VehicleForSegment"},"trailers":{"items":{"$ref":"#/components/schemas/TrailerForSegment"},"type":"array"},"trucker_id":{"$ref":"#/components/schemas/UpdateSegment_trucker_id"},"scheduled_start_range":{"$ref":"#/components/schemas/UpdateSegment_scheduled_start_range"},"scheduled_end_range":{"$ref":"#/components/schemas/UpdateSegment_scheduled_end_range"},"scheduled_start":{"deprecated":true,"description":"The scheduled date and time of arrival at the origin (ISO 8601)","type":"string"},"scheduled_end":{"deprecated":true,"description":"The scheduled date and time of arrival at the destination (ISO 8601)","type":"string"}},"required":["origin"],"type":"object"},"CreateOrUpdateSite_1":{"properties":{"remote_id":{"description":"The id of the site in your system","type":"string"},"address":{"$ref":"#/components/schemas/AddressGetOrCreate"},"loading_instructions":{"$ref":"#/components/schemas/loading_instructions"},"unloading_instructions":{"$ref":"#/components/schemas/unloading_instructions"},"instructions":{"$ref":"#/components/schemas/site_instructions"},"reference":{"type":"string"},"action":{"deprecated":true,"description":"Deprecated. Accepted for backward compatibility but ignored.","type":"string"},"eta":{"nullable":true,"type":"string"},"supports_exchanges":{"$ref":"#/components/schemas/CreateOrUpdateSupportsExchangeForTransport"},"arrival_date":{"description":"expected arrival date (YYYY-MM-DD)","format":"date","type":"string"},"arrival_time_min":{"description":"expected arrival min time (HH:mm)","type":"string"},"arrival_time_max":{"description":"expected arrival max time (HH:mm)","type":"string"},"date_exact":{"description":"if `true`, `arrival_time_max` is considered as being on the following day from `arrival_date`","type":"boolean"},"trucker_instructions":{"$ref":"#/components/schemas/trucker_instructions"}},"type":"object"},"AddressGetOrCreate":{"description":"Identification of the address. You may simply use its `pk` or `remote_id` if the address already exists, or you can send address details as in /addresses/ web service. The address may be recognized with its details or if it doesn't exist, the address will be created with the information you send based on what's possible when creating an address via /addresses/ web service.","properties":{"pk":{"description":"Dashdoc's internal id.","type":"number"},"remote_id":{"description":"The id of the address in your system.","type":"string"}},"type":"object"},"loading_instructions":{"deprecated":true,"description":"**Prefer using the field `instructions`.** Loading instructions, visible to all parties (trucker, carrier, shipper, site). Displayed in the trucker mobile app. Not visible in the eCMR.","maxLength":1000,"type":"string"},"unloading_instructions":{"deprecated":true,"description":"**Prefer using the field `instructions`.** Unloading instructions, visible to all parties (trucker, carrier, shipper, site). Displayed in the trucker mobile app. Not visible in the eCMR.","maxLength":1000,"type":"string"},"site_instructions":{"description":"Site instructions, visible to all parties (trucker, carrier, shipper, site). Displayed in the trucker mobile app. Not visible in the eCMR. If the field is not provided, the address's site instructions will be used.","maxLength":1000,"type":"string"},"CreateOrUpdateSupportsExchangeForTransport":{"properties":{"support_type":{"$ref":"#/components/schemas/CreateOrUpdateSupportsExchangeForTransport_support_type"},"expected_retrieved":{"description":"Expected number of supports that should be retrieved on the site","type":"number"},"actual_retrieved":{"description":"Actual number of supports that were retrieved on the site","type":"number"},"expected_delivered":{"description":"Expected number of supports that should be delivered on the site","type":"number"},"actual_delivered":{"description":"Actual number of supports that were delivered on the site","type":"number"},"observations":{"description":"Free text. Observations about this supports exchange. Can be filled on mobile app, web app or via API.","type":"string"}},"required":["support_type"],"type":"object"},"CreateOrUpdateSupportsExchangeForTransport_support_type":{"description":"Type of the supports that are exchanged","properties":{"uid":{"format":"uuid","type":"string"},"remote_id":{"description":"The id of the support type in your system.","type":"string"}},"type":"object"},"trucker_instructions":{"description":"**This field is part of a beta feature.** Private instructions. **The carrier of the transport is the only one who can edit and read those instructions.** Note that those instructions are not visible in the consignment note and can be accessed by the trucker. The value is null if the caller doesn't have the right of access to the data.","maxLength":1000,"type":"string"},"VehicleForSegment":{"properties":{"license_plate":{"description":"License plate number. Creates a new vehicle if unknown.","maxLength":200,"type":"string"}},"type":"object"},"TrailerForSegment":{"properties":{"license_plate":{"description":"License plate number. Creates a new trailer if unknown.","maxLength":200,"type":"string"}},"type":"object"},"UpdateSegment_trucker_id":{"properties":{"pk":{"description":"Dashdoc's internal id. Optional, not required if `remote_id` is sent.","type":"number"},"remote_id":{"description":"The ID of the trucker in your system. Optional, ignored if pk is sent.","type":"string"}},"type":"object"},"UpdateSegment_scheduled_start_range":{"description":"The scheduled date and time range of arrival at the origin (ISO 8601)","properties":{"start":{"description":"Min scheduled date and time of arrival at the origin (ISO 8601)","type":"string"},"end":{"description":"Max scheduled date and time of arrival at the origin (ISO 8601)","type":"string"}},"type":"object"},"UpdateSegment_scheduled_end_range":{"description":"The scheduled date and time range of arrival at the destination (ISO 8601)","properties":{"start":{"description":"Min scheduled date and time of arrival at the destination (ISO 8601)","type":"string"},"end":{"description":"Max scheduled date and time of arrival at the destination (ISO 8601)","type":"string"}},"type":"object"},"Segment":{"description":"","properties":{"uid":{"minLength":1,"type":"string"},"remote_id":{"minLength":1,"type":"string"},"origin":{"$ref":"#/components/schemas/Site"},"destination":{"$ref":"#/components/schemas/Site"},"trucker":{"$ref":"#/components/schemas/SegmentTrucker"},"vehicle":{"$ref":"#/components/schemas/Vehicle"},"trailers":{"items":{"$ref":"#/components/schemas/Trailer"},"type":"array"},"sort_order":{"description":"The index of the segment in the transport","minimum":0,"type":"number"},"scheduled_start_range":{"$ref":"#/components/schemas/Segment_scheduled_start_range"},"scheduled_end_range":{"$ref":"#/components/schemas/Segment_scheduled_end_range"},"scheduled_start":{"deprecated":true,"description":"The datetime at which the carrier scheduled the start of this segment\n","type":"string"},"scheduled_end":{"deprecated":true,"description":"The datetime at which the carrier scheduled the end of this segment","type":"string"},"child_transport":{"$ref":"#/components/schemas/Segment_child_transport"},"telematic_distance":{"description":"Automatically computed distance from telematic data (in kms).","type":"integer"},"distance":{"description":"Manually entered distance. If null, it takes the value of telematic_distance (in kms).","type":"integer"},"origin_mileage":{"description":"Mileage at transport origin site (in kms).","type":"integer"},"destination_mileage":{"description":"Mileage at transport destination site (in kms).","type":"integer"}},"type":"object"},"Site":{"properties":{"uid":{"format":"uuid","type":"string"},"remote_id":{"description":"The id of the site in your system","type":"string"},"address":{"$ref":"#/components/schemas/Address"},"real_start":{"description":"date and time when trucker arrived on site","format":"date-time","type":"string"},"real_end":{"description":"date and time when trucker completed loading / unloading (depending whether site is origin or destination)","format":"date-time","type":"string"},"signature_process":{"type":"string"},"instructions":{"$ref":"#/components/schemas/site_instructions"},"reference":{"type":"string"},"action":{"deprecated":true,"description":"Deprecated. Always returned as an empty string.","type":"string"},"eta":{"nullable":true,"type":"string"},"eta_tracking":{"$ref":"#/components/schemas/eta_tracking"},"punctuality_status":{"$ref":"#/components/schemas/punctuality_status"},"supports_exchanges":{"$ref":"#/components/schemas/SupportsExchange"},"category":{"enum":["loading","unloading"],"type":"string"},"slots":{"items":{"$ref":"#/components/schemas/Site_slots"},"type":"array"},"trucker_instructions":{"$ref":"#/components/schemas/trucker_instructions"},"trip":{"$ref":"#/components/schemas/Site_trip"}},"type":"object"},"Address":{"properties":{"pk":{"description":"Dashdoc's internal id.","type":"number"},"name":{"type":"string"},"address":{"type":"string"},"city":{"type":"string"},"postcode":{"type":"string"},"country":{"$ref":"#/components/schemas/country"},"latitude":{"$ref":"#/components/schemas/latitude"},"longitude":{"$ref":"#/components/schemas/longitude"},"radius":{"default":500,"description":"Radius around the GPS coordinates within which the address is located (in meters)","type":"integer"},"coords_validated":{"default":false,"description":"if `true`, when this address is used as a loading or unloading site, the mobile app displays an itinerary button to start GPS app with guidance to these coordinates","type":"boolean"},"is_demo":{"$ref":"#/components/schemas/is_demo"},"is_carrier":{"type":"boolean"},"is_shipper":{"type":"boolean"},"is_origin":{"$ref":"#/components/schemas/address_is_origin_and_is_destination"},"is_destination":{"$ref":"#/components/schemas/address_is_origin_and_is_destination"},"created_by":{"$ref":"#/components/schemas/created-by"},"created_by_user":{"$ref":"#/components/schemas/created-by-user"},"created":{"$ref":"#/components/schemas/created"},"instructions":{"$ref":"#/components/schemas/site_instructions"},"remote_id":{"description":"The id of the address in your system.","type":"string"},"original":{"description":"Dashdoc's internal id of the original address.","nullable":true,"readOnly":true,"type":"number"},"company":{"$ref":"#/components/schemas/Company"}},"type":"object"},"country":{"description":"Only the 2-character codification is accepted (ISO 3166-1 alpha-2)","type":"string"},"latitude":{"description":"Latitude using the decimal GPS coordinates (WGS84). At 7 decimals, the position is accurate around the centimeter.","format":"float","nullable":true,"type":"number"},"longitude":{"description":"Longitude using the decimal GPS coordinates (WGS84). At 7 decimals, the position is accurate around the centimeter.","format":"float","nullable":true,"type":"number"},"is_demo":{"description":"Indicates that the address is a fake one created from demonstration. Everything linked to it will be deleted when using the 'Delete demo content' button in company parameters","type":"boolean"},"address_is_origin_and_is_destination":{"description":"Whether this address is a \"Logistic Points\" and will be usable as pickup/delivery point.\nThe distinction between origin/pickup and destination/delivery was merged as a single \"Logistic Point\" concept. `is_origin` implies `is_destination` and vice-versa.\n","type":"boolean"},"created-by":{"nullable":true,"properties":{"pk":{"description":"company id","type":"number"},"name":{"description":"name of the company","type":"string"}},"type":"object"},"created-by-user":{"nullable":true,"properties":{"pk":{"type":"number"},"display_name":{"type":"string"},"company":{"description":"The company id who created the address","type":"number"},"trucker_id":{"description":"The trucker id who created the address","type":"number"}},"type":"object"},"created":{"description":"Date of creation on our server","format":"date-time","type":"string"},"Company":{"properties":{"pk":{"description":"Dashdoc's internal id.","type":"number"},"remote_id":{"type":"string"},"created":{"format":"date-time","type":"object"},"updated":{"format":"date-time","type":"string"},"deleted":{"type":"boolean"},"invoicing_remote_id":{"description":"The id of the company in your invoicing system.","type":"string"},"name":{"type":"string"},"phone_number":{"type":"string"},"email":{"type":"string"},"siren":{"type":"string"},"trade_number":{"type":"string"},"country":{"$ref":"#/components/schemas/country"},"comments":{"type":"string"},"vat_number":{"type":"string"},"is_verified":{"type":"boolean"},"settings_transport_order_observations":{"type":"string"},"settings_constrain_reference_edition":{"type":"boolean"},"account_type":{"description":"Ignore. Dashdoc technical data.","type":"string"},"logo":{"description":"The URL of your logo","nullable":true,"type":"string"},"subscription_access":{"type":"object"},"settings":{"type":"object"},"primary_address":{"$ref":"#/components/schemas/PrimaryAddress_1"},"managers":{"items":{"$ref":"#/components/schemas/Managers"},"type":"array"},"has_loggable_managers":{"description":"Ignore. Dashdoc technical data.","type":"boolean"}},"type":"object"},"PrimaryAddress_1":{"properties":{"pk":{"description":"Dashdoc's internal id.","type":"number"},"name":{"type":"string"},"address":{"type":"string"},"city":{"type":"string"},"postcode":{"type":"string"},"country":{"$ref":"#/components/schemas/country"},"latitude":{"$ref":"#/components/schemas/latitude"},"longitude":{"$ref":"#/components/schemas/longitude"},"radius":{"default":500,"description":"Radius around the GPS coordinates within which the address is located (in meters)","type":"integer"},"coords_validated":{"default":false,"description":"if `true`, when this address is used as a loading or unloading site, the mobile app displays an itinerary button to start GPS app with guidance to these coordinates","type":"boolean"},"is_demo":{"$ref":"#/components/schemas/is_demo"},"is_carrier":{"description":"Whether this company is considered a carrier","type":"boolean"},"is_shipper":{"description":"Whether this company is considered a shipper","type":"boolean"},"is_origin":{"description":"Legacy, not relevant for a company's primary address. Consider creating a separate address associated with this partner instead.\n","type":"boolean"},"is_destination":{"description":"Legacy, not relevant for a company's primary address. Consider creating a separate address associated with this partner instead.\n","type":"boolean"},"created_by":{"$ref":"#/components/schemas/created-by"},"created_by_user":{"$ref":"#/components/schemas/created-by-user"},"created":{"$ref":"#/components/schemas/created"},"remote_id":{"description":"The id of the address in your system.","type":"string"}},"type":"object"},"Managers":{"properties":{"pk":{"description":"Dashdoc's internal id.","type":"number"},"user":{"$ref":"#/components/schemas/Managers_user"},"display_name":{"type":"string"},"role":{"type":"string"}},"type":"object"},"Managers_user":{"properties":{"email":{"format":"email","type":"string"},"first_name":{"type":"string"},"last_name":{"type":"string"}},"type":"object"},"eta_tracking":{"default":false,"description":"Ask for an ETA on this site. This is currently a beta feature, not activated by default.","type":"boolean"},"punctuality_status":{"default":"untracked","description":"Indicate the punctuality on this site.","enum":["untracked","probably_late","probably_on_time","late","on_time"],"type":"string"},"SupportsExchange":{"properties":{"uid":{"description":"uid of the support exchange","format":"uuid","type":"string"},"site":{"$ref":"#/components/schemas/SupportsExchange_site"},"support_type":{"$ref":"#/components/schemas/SupportType"},"expected_retrieved":{"description":"Expected number of supports that should be retrieved on the site","type":"number"},"actual_retrieved":{"description":"Actual number of supports that were retrieved on the site","type":"number"},"expected_delivered":{"description":"Expected number of supports that should be delivered on the site","type":"number"},"actual_delivered":{"description":"Actual number of supports that were delivered on the site","type":"number"},"observations":{"description":"Free text. Observations about this supports exchange. Can be filled on mobile app, web app or via API.","type":"string"},"remote_id":{"description":"The ID of the support in your system","type":"string"}},"type":"object"},"SupportsExchange_site":{"description":"site where supports exchange is expected","properties":{"uid":{"description":"uid of the site","format":"uuid","type":"string"},"remote_id":{"description":"remote_id of the site","type":"string"}},"type":"object"},"SupportType":{"description":"Type of the supports that are exchanged","properties":{"name":{"description":"Display name of the support type","type":"string"},"created":{"$ref":"#/components/schemas/created"},"uid":{"format":"uuid","type":"string"},"remote_id":{"description":"The id of the support type in your system.","type":"string"}},"type":"object"},"Site_slots":{"properties":{"start":{"format":"date-time","type":"string"},"end":{"format":"date-time","type":"string"}},"type":"object"},"Site_trip":{"description":"Trip linked to this site/activity.","nullable":true,"properties":{"uid":{"format":"uuid","type":"string"},"name":{"type":"string"},"is_prepared":{"type":"boolean"},"status":{"enum":["unstarted","ongoing","done"],"type":"string"}},"readOnly":true,"type":"object"},"SegmentTrucker":{"properties":{"pk":{"description":"Dashdoc's internal id.","type":"number"},"remote_id":{"description":"The ID of the trucker in your system. It has to be unique among all your truckers.","type":"string"},"display_name":{"type":"string"},"user":{"$ref":"#/components/schemas/SegmentTruckerUser"}},"type":"object"},"SegmentTruckerUser":{"properties":{"pk":{"description":"Dashdoc's internal id.","type":"number"},"first_name":{"type":"string"},"last_name":{"type":"string"},"username":{"description":"Ignore. Dashdoc technical data.","type":"string"},"email":{"format":"email","type":"string"},"display_name":{"description":"Display name generated by Dashdoc.","type":"string"},"date_joined":{"description":"Ignore. Dashdoc technical data.","format":"date-time","type":"string"},"is_staff":{"description":"Ignore. Dashdoc technical data.","type":"boolean"},"is_superuser":{"description":"Ignore. Dashdoc technical data.","type":"boolean"},"has_usable_password":{"description":"Ignore. Dashdoc technical data.","type":"boolean"}},"type":"object"},"Vehicle":{"properties":{"pk":{"description":"Dashdoc's internal id","type":"number"},"carrier":{"description":"Dashdoc's internal id of the carrier owning the vehicle","type":"number"},"category":{"description":"Vehicle category","type":"string"},"license_plate":{"description":"License plate number","type":"string"},"fleet_number":{"description":"Your vehicle fleet number","type":"string"},"remote_id":{"description":"The ID of the vehicle in your system","type":"string"},"created":{"description":"Date of creation on our server","format":"date-time","type":"string"},"used_for_qualimat_transports":{"description":"True if the vehicle can be used for Qualimat transport (only used for visual help and warnings)","type":"boolean"},"telematic_vehicle":{"description":"Ignore. Dashdoc technical data","type":"number"},"original":{"type":"number"},"tags":{"description":"List of tags applied to the vehicle.","items":{"$ref":"#/components/schemas/Tag"},"type":"array"},"technical_control_deadline":{"format":"date-time","type":"string"},"tachograph_deadline":{"format":"date-time","type":"string"},"speed_limiter_deadline":{"format":"date-time","type":"string"},"country":{"$ref":"#/components/schemas/country"},"unavailability":{"description":"List of unavailable period","items":{"$ref":"#/components/schemas/Unavailability"},"type":"array"},"events":{"description":"Ignore. Dashdoc technical data.","items":{"type":"object"},"type":"array"}},"type":"object"},"Tag":{"properties":{"pk":{"description":"The unique identifier of the tag","type":"integer"},"name":{"description":"The name of the tag","type":"string"},"color":{"description":"The color of the tag in hex format","type":"string"},"tag_group_id":{"description":"The ID of the tag group this tag belongs to, if any","nullable":true,"type":"integer"}},"required":["color","name","pk"],"type":"object"},"Unavailability":{"properties":{"id":{"description":"Dashdoc's internal id","type":"number"},"remote_id":{"description":"The ID of the unavailability in your system","type":"string"},"created":{"description":"Date of creation on our server","format":"date-time","type":"string"},"start_date":{"description":"Start date of the unavailability","format":"date-time","type":"string"},"end_date":{"description":"End date of the unavailability","format":"date-time","type":"string"},"unavailability_type":{"description":"Type of unavailability","enum":["paid_vacation","day_off","sick_leave","training","vacation","maintenance","rental","other"],"type":"string"},"unavailability_note":{"description":"Notes about the unavailability","type":"string"}},"type":"object"},"Trailer":{"properties":{"pk":{"description":"Dashdoc's internal id","type":"number"},"original":{"description":"Ignore. Dashdoc technical data","type":"number"},"carrier":{"description":"Dashdoc's internal id of the carrier owning the trailer","type":"number"},"license_plate":{"description":"License plate number","type":"string"},"fleet_number":{"description":"Your trailer fleet number","type":"string"},"remote_id":{"description":"The ID of the trailer in your system","type":"string"},"created":{"description":"Date of creation on our server","format":"date-time","type":"string"},"used_for_qualimat_transports":{"description":"True if the trailer can be used for Qualimat transport (only used for visual help and warnings)","type":"boolean"},"tags":{"description":"List of tags applied to the trailer.","items":{"$ref":"#/components/schemas/Tag"},"type":"array"},"technical_control_deadline":{"format":"date-time","type":"string"},"country":{"$ref":"#/components/schemas/country"},"unavailability":{"description":"List of unavailable period","items":{"$ref":"#/components/schemas/Unavailability"},"type":"array"},"events":{"description":"Ignore. Dashdoc technical data.","items":{"type":"object"},"type":"array"}},"type":"object"},"Segment_scheduled_start_range":{"description":"The datetime range at which the carrier scheduled the start of this segment","properties":{"start":{"description":"Min scheduled start date (ISO 8601)","type":"string"},"end":{"description":"Max scheduled start date (ISO 8601)","type":"string"}},"type":"object"},"Segment_scheduled_end_range":{"description":"The datetime range at which the carrier scheduled the end of this segment","properties":{"start":{"description":"Min scheduled end date (ISO 8601)","type":"string"},"end":{"description":"Max scheduled end date (ISO 8601)","type":"string"}},"type":"object"},"Segment_child_transport":{"description":"If the segment is chartered, will contain the child transport","properties":{"uid":{"format":"uuid","type":"string"},"sequential_id":{"type":"number"},"remote_id":{"type":"string"},"has_strong_link":{"type":"boolean"}},"type":"object"}}},"paths":{"/segments/{uid_or_remote_id}/":{"patch":{"operationId":"partialSegments","parameters":[{"description":"Dashdoc `uid` or your `remote_id`. With a `remote_id`, you must add `lookup_field=remote_id` to the query parameters.","in":"path","name":"uid_or_remote_id","required":true,"schema":{"anyOf":[{"format":"uuid","title":"uid","type":"string"},{"title":"remote_id","type":"string"}]}},{"description":"Used to specify what field is used in the URL to identify the object you're requesting, e.g. with the `remote_id` (see path parameters)","in":"query","name":"lookup_field","required":false,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateSegment"}}},"required":true},"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Segment"}}},"description":"Update successful"}},"summary":"Partially update a segment","tags":["Segments"]}}}}
````

## Assign trucker, vehicle and trailers

> Assign trucker, vehicle and trailers to a segment and all previous and subsequent segments as long as no break is encountered.

````json
{"openapi":"3.0.0","info":{"title":"Dashdoc public API","version":"4.0"},"tags":[{"name":"Segments"}],"servers":[{"description":"Production","url":"https://api.dashdoc.eu/api/v4"},{"description":"Sandbox","url":"https://sandbox.dashdoc.eu/api/v4"}],"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"description":"Authentication is token based. You can issue a token for your API request from the ['API' section of the settings](http://dashdoc.eu/app/settings/api/) menu. The token MUST be sent in a `Authorization` header with each request.\n\n\n**Example of authenticated request**\n```\n$ curl -X GET -H \"Authorization: Token <your token>\" \"https://api.dashdoc.eu/api/v4/\"\n```\n","in":"header","name":"Authentication","type":"apiKey"}},"schemas":{"AssignSegment":{"properties":{"send_to_trucker":{"description":"if true, a notification is sent to the trucker on the mobile app","type":"boolean"},"trucker_id":{"$ref":"#/components/schemas/TruckerForSegment"},"vehicle":{"$ref":"#/components/schemas/VehicleForSegment"},"trailers":{"description":"trailers to assign to the segment","items":{"$ref":"#/components/schemas/TrailerForSegment"},"type":"array"}},"type":"object"},"TruckerForSegment":{"properties":{"pk":{"description":"Dashdoc's internal id. Optional, not required if `remote_id` is sent.","type":"number"},"remote_id":{"description":"The ID of the trucker in your system. Optional, ignored if pk is sent.","type":"string"}},"type":"object"},"VehicleForSegment":{"properties":{"license_plate":{"description":"License plate number. Creates a new vehicle if unknown.","maxLength":200,"type":"string"}},"type":"object"},"TrailerForSegment":{"properties":{"license_plate":{"description":"License plate number. Creates a new trailer if unknown.","maxLength":200,"type":"string"}},"type":"object"},"Transport":{"properties":{"uid":{"description":"Dashdoc's internal id. It will be automatically generated by us.","format":"uuid","type":"string"},"sequential_id":{"type":"number"},"created":{"description":"Date of creation sent by the creator. Useful when the transport is created by mobile devices. If network connection is bad, the `created` date can be later than `created_device`","format":"date-time","type":"string"},"updated":{"format":"date-time","type":"string"},"deleted":{"nullable":true,"type":"string"},"remote_id":{"description":"Your transport id. It has to be unique among all your transports","type":"string"},"carrier_address":{"$ref":"#/components/schemas/AddressForTransport"},"created_by":{"$ref":"#/components/schemas/Company"},"created_device":{"format":"date-time","type":"string"},"creation_method":{"enum":["mobile_app","api","web_app"],"type":"string"},"archived_by":{"items":{"type":"object"},"type":"array"},"is_order":{"type":"boolean"},"carrier_assignation_status":{"allOf":[{"$ref":"#/components/schemas/CarrierAssignationStatus"}],"nullable":true},"invite_code":{"type":"string"},"deliveries":{"items":{"$ref":"#/components/schemas/Delivery"},"type":"array"},"segments":{"items":{"$ref":"#/components/schemas/Segment"},"type":"array"},"status":{"$ref":"#/components/schemas/Statuses"},"status_updates":{"items":{"$ref":"#/components/schemas/Status"},"type":"array"},"has_observations":{"type":"boolean"},"messages":{"items":{"$ref":"#/components/schemas/TransportMessage"},"type":"array"},"requested_vehicle":{"$ref":"#/components/schemas/requested_vehicle"},"documents":{"items":{"$ref":"#/components/schemas/Document"},"type":"array"},"carrier_reference":{"description":"Text that will help the carrier operators manage the transports, e.g. transport number in his TMS. It should only be set by the carrier of the transport and the transport's creator can toggle a company-wide setting to only allow the carrier to set it.","type":"string"},"price":{"$ref":"#/components/schemas/deprecated_price"},"requires_washing":{"description":"Flag to enable the truck washing flow in the mobile app","type":"boolean"},"business_privacy":{"description":"Flag to enable 'business privacy' mode: no eCMR will be generated, and the trucker won't be prompted to share the transport link.","type":"boolean"},"is_multiple_compartments":{"description":"Flag to enable 'multiple compartments' mode: truckers will have to select in which compartments loads were loaded. It also generates a specific delivery document : loading_plan.","type":"boolean"},"loading_plan":{"description":"Uid of the loading plan created by the trucker. Contact us if you need to retrieve data from it","type":"string"},"customer_to_invoice":{"$ref":"#/components/schemas/customer_to_invoice"},"parent_transport":{"$ref":"#/components/schemas/Transport_parent_transport"},"invoice_number":{"nullable":true,"type":"string"},"invoiced_price":{"$ref":"#/components/schemas/deprecated_invoiced_price"},"volume_display_unit":{"enum":["m3","L"],"type":"string"},"references":{"items":{"$ref":"#/components/schemas/Transport_references"},"type":"array"},"rental_deliveries":{"description":"Array of transports executed by the trucker during the rental order. Implies that the current transport is a rental order. Inner objects have the same transport data structure.","items":{"$ref":"#/components/schemas/Transport"},"type":"array"},"billing-metrics":{"deprecated":true,"description":"Retired feature, will always be null.","nullable":true,"type":"string"},"shape":{"type":"string"},"instructions":{"$ref":"#/components/schemas/global_instructions"},"carbon_footprint":{"description":"Carbon footprint of the transport in kgCO2","nullable":true,"readOnly":true,"type":"number"},"tags":{"description":"List of tags applied to the transport.","items":{"$ref":"#/components/schemas/Tag"},"type":"array"}},"required":["business_privacy","carrier_address","carrier_reference","created","created_by","created_device","creation_method","deliveries","documents","has_observations","invite_code","invoice_number","is_order","messages","price","references","remote_id","requested_vehicle","requires_washing","segments","sequential_id","status","status_updates","uid","updated"],"type":"object"},"AddressForTransport":{"properties":{"pk":{"description":"Dashdoc's internal id.","type":"number"},"name":{"type":"string"},"address":{"type":"string"},"city":{"type":"string"},"postcode":{"type":"string"},"country":{"$ref":"#/components/schemas/country"},"latitude":{"$ref":"#/components/schemas/latitude"},"longitude":{"$ref":"#/components/schemas/longitude"},"radius":{"default":500,"description":"Radius around the GPS coordinates within which the address is located (in meters)","type":"integer"},"coords_validated":{"default":false,"description":"if `true`, when this address is used as a loading or unloading site, the mobile app displays an itinerary button to start GPS app with guidance to these coordinates","type":"boolean"},"is_demo":{"$ref":"#/components/schemas/is_demo"},"is_carrier":{"type":"boolean"},"is_shipper":{"type":"boolean"},"is_origin":{"$ref":"#/components/schemas/address_is_origin_and_is_destination"},"is_destination":{"$ref":"#/components/schemas/address_is_origin_and_is_destination"},"created_by":{"type":"number"},"created":{"$ref":"#/components/schemas/created"},"remote_id":{"description":"The id of the address in your system.","type":"string"},"company":{"$ref":"#/components/schemas/CompanyForTransportAddress"},"original":{"type":"number"}},"type":"object"},"country":{"description":"Only the 2-character codification is accepted (ISO 3166-1 alpha-2)","type":"string"},"latitude":{"description":"Latitude using the decimal GPS coordinates (WGS84). At 7 decimals, the position is accurate around the centimeter.","format":"float","nullable":true,"type":"number"},"longitude":{"description":"Longitude using the decimal GPS coordinates (WGS84). At 7 decimals, the position is accurate around the centimeter.","format":"float","nullable":true,"type":"number"},"is_demo":{"description":"Indicates that the address is a fake one created from demonstration. Everything linked to it will be deleted when using the 'Delete demo content' button in company parameters","type":"boolean"},"address_is_origin_and_is_destination":{"description":"Whether this address is a \"Logistic Points\" and will be usable as pickup/delivery point.\nThe distinction between origin/pickup and destination/delivery was merged as a single \"Logistic Point\" concept. `is_origin` implies `is_destination` and vice-versa.\n","type":"boolean"},"created":{"description":"Date of creation on our server","format":"date-time","type":"string"},"CompanyForTransportAddress":{"properties":{"pk":{"description":"Dashdoc's internal id.","type":"number"},"remote_id":{"description":"The id of the company in your system.","type":"string"},"name":{"type":"string"},"trade_number":{"type":"string"},"country":{"$ref":"#/components/schemas/country"},"settings_contract_html":{"description":"Ignore. Dashdoc technical data.","type":"string"},"settings_logo":{"description":"Ignore. Dashdoc technical data.","nullable":true,"type":"string"},"settings_stamp":{"description":"Ignore. Dashdoc technical data.","nullable":true,"type":"string"},"settings_print_mode":{"description":"Ignore. Dashdoc technical data.","type":"boolean"},"settings_special_agreements":{"description":"Ignore. Dashdoc technical data.","type":"string"},"settings_transport_order_observations":{"type":"string"},"settings_constrain_reference_edition":{"type":"boolean"},"vat_number":{"type":"string"},"is_verified":{"type":"boolean"}},"type":"object"},"Company":{"properties":{"pk":{"description":"Dashdoc's internal id.","type":"number"},"remote_id":{"type":"string"},"created":{"format":"date-time","type":"object"},"updated":{"format":"date-time","type":"string"},"deleted":{"type":"boolean"},"invoicing_remote_id":{"description":"The id of the company in your invoicing system.","type":"string"},"name":{"type":"string"},"phone_number":{"type":"string"},"email":{"type":"string"},"siren":{"type":"string"},"trade_number":{"type":"string"},"country":{"$ref":"#/components/schemas/country"},"comments":{"type":"string"},"vat_number":{"type":"string"},"is_verified":{"type":"boolean"},"settings_transport_order_observations":{"type":"string"},"settings_constrain_reference_edition":{"type":"boolean"},"account_type":{"description":"Ignore. Dashdoc technical data.","type":"string"},"logo":{"description":"The URL of your logo","nullable":true,"type":"string"},"subscription_access":{"type":"object"},"settings":{"type":"object"},"primary_address":{"$ref":"#/components/schemas/PrimaryAddress_1"},"managers":{"items":{"$ref":"#/components/schemas/Managers"},"type":"array"},"has_loggable_managers":{"description":"Ignore. Dashdoc technical data.","type":"boolean"}},"type":"object"},"PrimaryAddress_1":{"properties":{"pk":{"description":"Dashdoc's internal id.","type":"number"},"name":{"type":"string"},"address":{"type":"string"},"city":{"type":"string"},"postcode":{"type":"string"},"country":{"$ref":"#/components/schemas/country"},"latitude":{"$ref":"#/components/schemas/latitude"},"longitude":{"$ref":"#/components/schemas/longitude"},"radius":{"default":500,"description":"Radius around the GPS coordinates within which the address is located (in meters)","type":"integer"},"coords_validated":{"default":false,"description":"if `true`, when this address is used as a loading or unloading site, the mobile app displays an itinerary button to start GPS app with guidance to these coordinates","type":"boolean"},"is_demo":{"$ref":"#/components/schemas/is_demo"},"is_carrier":{"description":"Whether this company is considered a carrier","type":"boolean"},"is_shipper":{"description":"Whether this company is considered a shipper","type":"boolean"},"is_origin":{"description":"Legacy, not relevant for a company's primary address. Consider creating a separate address associated with this partner instead.\n","type":"boolean"},"is_destination":{"description":"Legacy, not relevant for a company's primary address. Consider creating a separate address associated with this partner instead.\n","type":"boolean"},"created_by":{"$ref":"#/components/schemas/created-by"},"created_by_user":{"$ref":"#/components/schemas/created-by-user"},"created":{"$ref":"#/components/schemas/created"},"remote_id":{"description":"The id of the address in your system.","type":"string"}},"type":"object"},"created-by":{"nullable":true,"properties":{"pk":{"description":"company id","type":"number"},"name":{"description":"name of the company","type":"string"}},"type":"object"},"created-by-user":{"nullable":true,"properties":{"pk":{"type":"number"},"display_name":{"type":"string"},"company":{"description":"The company id who created the address","type":"number"},"trucker_id":{"description":"The trucker id who created the address","type":"number"}},"type":"object"},"Managers":{"properties":{"pk":{"description":"Dashdoc's internal id.","type":"number"},"user":{"$ref":"#/components/schemas/Managers_user"},"display_name":{"type":"string"},"role":{"type":"string"}},"type":"object"},"Managers_user":{"properties":{"email":{"format":"email","type":"string"},"first_name":{"type":"string"},"last_name":{"type":"string"}},"type":"object"},"CarrierAssignationStatus":{"description":"Carrier assignment state of an order (Only for chartered transport). Null values should be treated as unassigned.","enum":["unassigned","draft_assigned","assigned"],"type":"string"},"Delivery":{"properties":{"uid":{"description":"Dashdoc's internal id.","type":"string"},"sequential_id":{"description":"eCMR number","type":"number"},"remote_id":{"type":"string"},"tracking_id":{"description":"Deprecated","type":"string"},"origin":{"$ref":"#/components/schemas/CreateOrUpdateSite"},"destination":{"$ref":"#/components/schemas/CreateOrUpdateSite"},"shipper_address":{"$ref":"#/components/schemas/NewAddressReduced"},"planned_loads":{"description":"Loads as planned before the transport has been started","items":{"$ref":"#/components/schemas/DeliveryLoads"},"type":"array"},"loads":{"description":"Loads as they are most recently defined. This means it is: \n\n* equal to `planned_loads` before loading is actually done \n\n* equal to `origin_loads` after loading is done (with details validated by trucker), but unloading is not done yet \n\n* equal to `loads_loads` after unloading is actually done (with details validated by trucker)","items":{"$ref":"#/components/schemas/DeliveryLoads"},"type":"array"},"origin_loads":{"description":"Loads as validated by trucker right after loading is done","items":{"$ref":"#/components/schemas/DeliveryLoads"},"type":"array"},"destination_loads":{"description":"Loads as validated by trucker right after unloading is done","items":{"$ref":"#/components/schemas/DeliveryLoads"},"type":"array"},"tracking_contacts":{"description":"List of contacts that will automatically receive an email when delivery is done. ⚠️ If no tracking contacts are provided for a company and the setting `partner_email_fallback` is enabled, a tracking contact corresponding to the company's email will be added, at the creation of the transport. This only applies to the carrier and the shipper.","items":{"$ref":"#/components/schemas/Delivery_tracking_contacts"},"type":"array"},"shipper_reference":{"description":"Reference the client may use to match transport on his own system, e.g. an order number. The transport's creator can toggle a setting to only allow himself to set it.","type":"string"},"multiple_rounds":{"description":"If true, the trucker will be able to do a signature at loading, then add any amount of rounds for the transport (with weight/volume and weight ticket), and finish with a signature at unloading.","type":"boolean"}},"type":"object"},"CreateOrUpdateSite":{"properties":{"uid":{"format":"uuid","type":"string"},"remote_id":{"description":"The id of the site in your system","type":"string"},"address":{"allOf":[{"$ref":"#/components/schemas/SiteAddress"}],"nullable":true},"real_start":{"description":"date and time when trucker arrived on site","format":"date-time","readOnly":true,"type":"string"},"real_end":{"description":"date and time when trucker completed loading / unloading (depending whether site is origin or destination)","format":"date-time","readOnly":true,"type":"string"},"signature_process":{"type":"string"},"is_booking_needed":{"type":"boolean"},"instructions":{"$ref":"#/components/schemas/site_instructions"},"reference":{"type":"string"},"action":{"deprecated":true,"description":"Deprecated. Accepted for backward compatibility but ignored. Responses always return an empty string.","type":"string"},"eta":{"format":"date-time","nullable":true,"type":"string"},"eta_tracking":{"type":"boolean"},"punctuality_status":{"readOnly":true,"type":"string"},"supports_exchanges":{"$ref":"#/components/schemas/SupportsExchange"},"category":{"type":"string"},"slots":{"items":{"$ref":"#/components/schemas/Site_slots"},"type":"array"},"trucker_instructions":{"$ref":"#/components/schemas/trucker_instructions"},"trip":{"$ref":"#/components/schemas/Site_trip"}},"type":"object"},"SiteAddress":{"description":"Address of the site. Reference an existing address with its `pk` or `remote_id`, or send its details to have it matched or created.","properties":{"pk":{"description":"Dashdoc's internal id. Optional, set it to reference an existing address.","type":"integer"},"name":{"type":"string"},"address":{"type":"string"},"city":{"type":"string"},"postcode":{"type":"string"},"country":{"$ref":"#/components/schemas/country"},"latitude":{"$ref":"#/components/schemas/latitude"},"longitude":{"$ref":"#/components/schemas/longitude"},"radius":{"default":500,"description":"Radius around the GPS coordinates within which the address is located (in meters)","type":"integer"},"coords_validated":{"default":false,"description":"if `true`, when this address is used as a loading or unloading site, the mobile app displays an itinerary button to start GPS app with guidance to these coordinates","type":"boolean"},"is_demo":{"$ref":"#/components/schemas/is_demo"},"is_carrier":{"type":"boolean"},"is_shipper":{"type":"boolean"},"is_origin":{"$ref":"#/components/schemas/address_is_origin_and_is_destination"},"is_destination":{"$ref":"#/components/schemas/address_is_origin_and_is_destination"},"instructions":{"$ref":"#/components/schemas/site_instructions"},"remote_id":{"description":"The id of the address in your system.","type":"string"},"company":{"$ref":"#/components/schemas/CompanyForTransportAddress_1"}},"type":"object"},"site_instructions":{"description":"Site instructions, visible to all parties (trucker, carrier, shipper, site). Displayed in the trucker mobile app. Not visible in the eCMR. If the field is not provided, the address's site instructions will be used.","maxLength":1000,"type":"string"},"CompanyForTransportAddress_1":{"description":"Identification of the company. You may simply use its `pk` or `remote_id` if the company already exists. Other possible identification method are its `trade_number` or `name`. If it doesn't exist, the company will be created with the information you send based on what's possible when creating a company via /companies/ web service. Minimum required information in this case is a name.","properties":{"pk":{"description":"Dashdoc's internal id.Optional, not required if `remote_id` is sent.","type":"integer"},"remote_id":{"description":"The id of the company in your system. Optional, ignored if `pk` is sent.","type":"string"},"trade_number":{"maxLength":100,"type":"string"},"name":{"maxLength":200,"type":"string"}},"type":"object"},"SupportsExchange":{"properties":{"uid":{"description":"uid of the support exchange","format":"uuid","type":"string"},"site":{"$ref":"#/components/schemas/SupportsExchange_site"},"support_type":{"$ref":"#/components/schemas/SupportType"},"expected_retrieved":{"description":"Expected number of supports that should be retrieved on the site","type":"number"},"actual_retrieved":{"description":"Actual number of supports that were retrieved on the site","type":"number"},"expected_delivered":{"description":"Expected number of supports that should be delivered on the site","type":"number"},"actual_delivered":{"description":"Actual number of supports that were delivered on the site","type":"number"},"observations":{"description":"Free text. Observations about this supports exchange. Can be filled on mobile app, web app or via API.","type":"string"},"remote_id":{"description":"The ID of the support in your system","type":"string"}},"type":"object"},"SupportsExchange_site":{"description":"site where supports exchange is expected","properties":{"uid":{"description":"uid of the site","format":"uuid","type":"string"},"remote_id":{"description":"remote_id of the site","type":"string"}},"type":"object"},"SupportType":{"description":"Type of the supports that are exchanged","properties":{"name":{"description":"Display name of the support type","type":"string"},"created":{"$ref":"#/components/schemas/created"},"uid":{"format":"uuid","type":"string"},"remote_id":{"description":"The id of the support type in your system.","type":"string"}},"type":"object"},"Site_slots":{"properties":{"start":{"format":"date-time","type":"string"},"end":{"format":"date-time","type":"string"}},"type":"object"},"trucker_instructions":{"description":"**This field is part of a beta feature.** Private instructions. **The carrier of the transport is the only one who can edit and read those instructions.** Note that those instructions are not visible in the consignment note and can be accessed by the trucker. The value is null if the caller doesn't have the right of access to the data.","maxLength":1000,"type":"string"},"Site_trip":{"description":"Trip linked to this site/activity.","nullable":true,"properties":{"uid":{"format":"uuid","type":"string"},"name":{"type":"string"},"is_prepared":{"type":"boolean"},"status":{"enum":["unstarted","ongoing","done"],"type":"string"}},"readOnly":true,"type":"object"},"NewAddressReduced":{"properties":{"pk":{"description":"Dashdoc's internal id. Optional, set it to reference an existing address.","type":"integer"},"name":{"type":"string"},"address":{"type":"string"},"city":{"type":"string"},"postcode":{"type":"string"},"country":{"$ref":"#/components/schemas/country"},"latitude":{"$ref":"#/components/schemas/latitude"},"longitude":{"$ref":"#/components/schemas/longitude"},"radius":{"default":500,"description":"Radius around the GPS coordinates within which the address is located (in meters)","type":"integer"},"coords_validated":{"default":false,"description":"if `true`, when this address is used as a loading or unloading site, the mobile app displays an itinerary button to start GPS app with guidance to these coordinates","type":"boolean"},"is_demo":{"$ref":"#/components/schemas/is_demo"},"is_carrier":{"type":"boolean"},"is_shipper":{"type":"boolean"},"is_origin":{"type":"boolean"},"is_destination":{"type":"boolean"},"created_by":{"description":"Ignore. Dashdoc technical data.","readOnly":true,"type":"number"},"created":{"description":"Date of creation on our server","format":"date-time","readOnly":true,"type":"string"},"instructions":{"type":"string"},"remote_id":{"description":"The id of the address in your system.","type":"string"},"company":{"$ref":"#/components/schemas/CompanyForTransportAddress"},"original":{"description":"Ignore. Dashdoc technical data.","nullable":true,"readOnly":true,"type":"number"}},"required":["address","city","company","country","postcode"],"type":"object"},"DeliveryLoads":{"properties":{"uid":{"description":"Dashdoc's internal id.","type":"string"},"remote_id":{"description":"The ID of the load in your system. It has to be unique among all your transports.","type":"string"},"description":{"description":"Text description of the load","type":"string"},"reference":{"description":"Reference of the load","type":"string"},"round_id":{"description":"The ID of the round.","format":"integer","type":"number"},"weight":{"description":"In kilograms","format":"float","type":"number"},"volume":{"description":"Volume of load in m3","format":"float","type":"number"},"volume_display_unit":{"default":"m3","enum":["m3","L"],"type":"string"},"linear_meters":{"description":"Length of load in meters","format":"float","type":"number"},"quantity":{"description":"Only one decimal accepted (e.g 0.0)","format":"float","type":"number"},"pallet_equivalence":{"description":"Pallet equivalence (EPS/EQPAL): how many standard pallet spaces the load occupies. `null` when it was never set. Otherwise at least `0.01`, with two decimals kept.","format":"float","nullable":true,"type":"number"},"category":{"description":"Packaging of the load. The text is free but these specific values cause a custom flow on the mobile app: `pallets`, `containers`, `bulk`, `roundwood`, `powder_tank`, `bulk_qualimat`, `rental`.","type":"string"},"dangerous_goods_category":{"description":"ADR class","enum":["1","2","3","4.1","4.2","4.3","5.1","5.2","6.1","6.2","7","8","9"],"type":"string"},"is_dangerous":{"type":"boolean"},"adr_un_code":{"type":"string"},"legal_mentions":{"type":"string"},"complementary_information":{"description":"Any information about the load that doesn't fit to the description field","type":"string"},"container_number":{"type":"string"},"tare_weight":{"description":"In kilograms","format":"float","type":"number"},"container_seal_number":{"type":"string"},"refrigerated":{"description":"Indicates whether the load is refrigerated. If true, the trucker can fill in the temperature.","type":"boolean"},"temperature":{"type":"string"},"steres":{"format":"float","type":"number"},"idtf_number":{"description":"Must match an existing IDTF number","type":"string"},"use_identifiers":{"description":"if `true`, trucker is asked to scan barcode identifiers on load","type":"boolean"},"identifiers":{"description":"Only relevant if use_identifiers is set to `true`. List of expected barcode identifiers that the trucker should scan at loading and unloading. App controls that expected barcodes are actually scanned. If empty, the trucker will have to scan barcodes anyway, but there won't be any check. Feature has to be activated in your account by your Dashdoc projet manager.","items":{"type":"string"},"type":"array"},"identifiers_observations":{"description":"Observations explaining issues with identifier, such as missing or unexpected identifiers","type":"string"}},"type":"object"},"Delivery_tracking_contacts":{"properties":{"uid":{"description":"Dashdoc's internal id.","type":"string"},"contact":{"$ref":"#/components/schemas/NewContact"},"subscribed_to_status_updates":{"description":"If set to true, the contact will receive an email at every step of the delivery. Else, they will receive only one email once the delivery is done.","type":"boolean"},"role":{"description":"The role of the contact in the delivery. It can be `carrier`, `shipper`, or `site`.","type":"string"}},"required":["contact"],"type":"object"},"NewContact":{"properties":{"uid":{"format":"uuid","type":"string"},"created":{"description":"Date of creation on our server","format":"date-time","readOnly":true,"type":"string"},"company":{"$ref":"#/components/schemas/CompanyIdentification"},"first_name":{"maxLength":200,"type":"string"},"last_name":{"maxLength":200,"type":"string"},"email":{"format":"email","type":"string"},"phone_number":{"maxLength":100,"type":"string"},"fax_number":{"maxLength":100,"type":"string"},"remote_id":{"description":"The id of the contact in your system","type":"string"}},"required":["company","last_name"],"type":"object"},"CompanyIdentification":{"description":"Identification of the company. The company must already exist in Dashdoc.","properties":{"pk":{"description":"Dashdoc's internal id. Optional, not required if `remote_id` is sent.","type":"integer"},"remote_id":{"description":"Your remote carrier id. Optional, ignored if `pk` is sent.","type":"string"},"name":{"type":"string"},"trade_number":{"type":"string"},"country":{"$ref":"#/components/schemas/country"},"settings_contract_html":{"description":"Ignore. Dashdoc technical data.","type":"string"},"settings_logo":{"description":"Ignore. Dashdoc technical data.","nullable":true,"type":"string"},"settings_stamp":{"description":"Ignore. Dashdoc technical data.","nullable":true,"type":"string"},"settings_print_mode":{"description":"Ignore. Dashdoc technical data.","type":"boolean"},"settings_special_agreements":{"description":"Ignore. Dashdoc technical data.","type":"string"},"settings_transport_order_observations":{"type":"string"},"settings_constrain_reference_edition":{"type":"boolean"},"vat_number":{"type":"string"},"is_verified":{"description":"Ignore. Dashdoc technical data.","type":"string"}},"type":"object"},"Segment":{"description":"","properties":{"uid":{"minLength":1,"type":"string"},"remote_id":{"minLength":1,"type":"string"},"origin":{"$ref":"#/components/schemas/Site"},"destination":{"$ref":"#/components/schemas/Site"},"trucker":{"$ref":"#/components/schemas/SegmentTrucker"},"vehicle":{"$ref":"#/components/schemas/Vehicle"},"trailers":{"items":{"$ref":"#/components/schemas/Trailer"},"type":"array"},"sort_order":{"description":"The index of the segment in the transport","minimum":0,"type":"number"},"scheduled_start_range":{"$ref":"#/components/schemas/Segment_scheduled_start_range"},"scheduled_end_range":{"$ref":"#/components/schemas/Segment_scheduled_end_range"},"scheduled_start":{"deprecated":true,"description":"The datetime at which the carrier scheduled the start of this segment\n","type":"string"},"scheduled_end":{"deprecated":true,"description":"The datetime at which the carrier scheduled the end of this segment","type":"string"},"child_transport":{"$ref":"#/components/schemas/Segment_child_transport"},"telematic_distance":{"description":"Automatically computed distance from telematic data (in kms).","type":"integer"},"distance":{"description":"Manually entered distance. If null, it takes the value of telematic_distance (in kms).","type":"integer"},"origin_mileage":{"description":"Mileage at transport origin site (in kms).","type":"integer"},"destination_mileage":{"description":"Mileage at transport destination site (in kms).","type":"integer"}},"type":"object"},"Site":{"properties":{"uid":{"format":"uuid","type":"string"},"remote_id":{"description":"The id of the site in your system","type":"string"},"address":{"$ref":"#/components/schemas/Address"},"real_start":{"description":"date and time when trucker arrived on site","format":"date-time","type":"string"},"real_end":{"description":"date and time when trucker completed loading / unloading (depending whether site is origin or destination)","format":"date-time","type":"string"},"signature_process":{"type":"string"},"instructions":{"$ref":"#/components/schemas/site_instructions"},"reference":{"type":"string"},"action":{"deprecated":true,"description":"Deprecated. Always returned as an empty string.","type":"string"},"eta":{"nullable":true,"type":"string"},"eta_tracking":{"$ref":"#/components/schemas/eta_tracking"},"punctuality_status":{"$ref":"#/components/schemas/punctuality_status"},"supports_exchanges":{"$ref":"#/components/schemas/SupportsExchange"},"category":{"enum":["loading","unloading"],"type":"string"},"slots":{"items":{"$ref":"#/components/schemas/Site_slots"},"type":"array"},"trucker_instructions":{"$ref":"#/components/schemas/trucker_instructions"},"trip":{"$ref":"#/components/schemas/Site_trip"}},"type":"object"},"Address":{"properties":{"pk":{"description":"Dashdoc's internal id.","type":"number"},"name":{"type":"string"},"address":{"type":"string"},"city":{"type":"string"},"postcode":{"type":"string"},"country":{"$ref":"#/components/schemas/country"},"latitude":{"$ref":"#/components/schemas/latitude"},"longitude":{"$ref":"#/components/schemas/longitude"},"radius":{"default":500,"description":"Radius around the GPS coordinates within which the address is located (in meters)","type":"integer"},"coords_validated":{"default":false,"description":"if `true`, when this address is used as a loading or unloading site, the mobile app displays an itinerary button to start GPS app with guidance to these coordinates","type":"boolean"},"is_demo":{"$ref":"#/components/schemas/is_demo"},"is_carrier":{"type":"boolean"},"is_shipper":{"type":"boolean"},"is_origin":{"$ref":"#/components/schemas/address_is_origin_and_is_destination"},"is_destination":{"$ref":"#/components/schemas/address_is_origin_and_is_destination"},"created_by":{"$ref":"#/components/schemas/created-by"},"created_by_user":{"$ref":"#/components/schemas/created-by-user"},"created":{"$ref":"#/components/schemas/created"},"instructions":{"$ref":"#/components/schemas/site_instructions"},"remote_id":{"description":"The id of the address in your system.","type":"string"},"original":{"description":"Dashdoc's internal id of the original address.","nullable":true,"readOnly":true,"type":"number"},"company":{"$ref":"#/components/schemas/Company"}},"type":"object"},"eta_tracking":{"default":false,"description":"Ask for an ETA on this site. This is currently a beta feature, not activated by default.","type":"boolean"},"punctuality_status":{"default":"untracked","description":"Indicate the punctuality on this site.","enum":["untracked","probably_late","probably_on_time","late","on_time"],"type":"string"},"SegmentTrucker":{"properties":{"pk":{"description":"Dashdoc's internal id.","type":"number"},"remote_id":{"description":"The ID of the trucker in your system. It has to be unique among all your truckers.","type":"string"},"display_name":{"type":"string"},"user":{"$ref":"#/components/schemas/SegmentTruckerUser"}},"type":"object"},"SegmentTruckerUser":{"properties":{"pk":{"description":"Dashdoc's internal id.","type":"number"},"first_name":{"type":"string"},"last_name":{"type":"string"},"username":{"description":"Ignore. Dashdoc technical data.","type":"string"},"email":{"format":"email","type":"string"},"display_name":{"description":"Display name generated by Dashdoc.","type":"string"},"date_joined":{"description":"Ignore. Dashdoc technical data.","format":"date-time","type":"string"},"is_staff":{"description":"Ignore. Dashdoc technical data.","type":"boolean"},"is_superuser":{"description":"Ignore. Dashdoc technical data.","type":"boolean"},"has_usable_password":{"description":"Ignore. Dashdoc technical data.","type":"boolean"}},"type":"object"},"Vehicle":{"properties":{"pk":{"description":"Dashdoc's internal id","type":"number"},"carrier":{"description":"Dashdoc's internal id of the carrier owning the vehicle","type":"number"},"category":{"description":"Vehicle category","type":"string"},"license_plate":{"description":"License plate number","type":"string"},"fleet_number":{"description":"Your vehicle fleet number","type":"string"},"remote_id":{"description":"The ID of the vehicle in your system","type":"string"},"created":{"description":"Date of creation on our server","format":"date-time","type":"string"},"used_for_qualimat_transports":{"description":"True if the vehicle can be used for Qualimat transport (only used for visual help and warnings)","type":"boolean"},"telematic_vehicle":{"description":"Ignore. Dashdoc technical data","type":"number"},"original":{"type":"number"},"tags":{"description":"List of tags applied to the vehicle.","items":{"$ref":"#/components/schemas/Tag"},"type":"array"},"technical_control_deadline":{"format":"date-time","type":"string"},"tachograph_deadline":{"format":"date-time","type":"string"},"speed_limiter_deadline":{"format":"date-time","type":"string"},"country":{"$ref":"#/components/schemas/country"},"unavailability":{"description":"List of unavailable period","items":{"$ref":"#/components/schemas/Unavailability"},"type":"array"},"events":{"description":"Ignore. Dashdoc technical data.","items":{"type":"object"},"type":"array"}},"type":"object"},"Tag":{"properties":{"pk":{"description":"The unique identifier of the tag","type":"integer"},"name":{"description":"The name of the tag","type":"string"},"color":{"description":"The color of the tag in hex format","type":"string"},"tag_group_id":{"description":"The ID of the tag group this tag belongs to, if any","nullable":true,"type":"integer"}},"required":["color","name","pk"],"type":"object"},"Unavailability":{"properties":{"id":{"description":"Dashdoc's internal id","type":"number"},"remote_id":{"description":"The ID of the unavailability in your system","type":"string"},"created":{"description":"Date of creation on our server","format":"date-time","type":"string"},"start_date":{"description":"Start date of the unavailability","format":"date-time","type":"string"},"end_date":{"description":"End date of the unavailability","format":"date-time","type":"string"},"unavailability_type":{"description":"Type of unavailability","enum":["paid_vacation","day_off","sick_leave","training","vacation","maintenance","rental","other"],"type":"string"},"unavailability_note":{"description":"Notes about the unavailability","type":"string"}},"type":"object"},"Trailer":{"properties":{"pk":{"description":"Dashdoc's internal id","type":"number"},"original":{"description":"Ignore. Dashdoc technical data","type":"number"},"carrier":{"description":"Dashdoc's internal id of the carrier owning the trailer","type":"number"},"license_plate":{"description":"License plate number","type":"string"},"fleet_number":{"description":"Your trailer fleet number","type":"string"},"remote_id":{"description":"The ID of the trailer in your system","type":"string"},"created":{"description":"Date of creation on our server","format":"date-time","type":"string"},"used_for_qualimat_transports":{"description":"True if the trailer can be used for Qualimat transport (only used for visual help and warnings)","type":"boolean"},"tags":{"description":"List of tags applied to the trailer.","items":{"$ref":"#/components/schemas/Tag"},"type":"array"},"technical_control_deadline":{"format":"date-time","type":"string"},"country":{"$ref":"#/components/schemas/country"},"unavailability":{"description":"List of unavailable period","items":{"$ref":"#/components/schemas/Unavailability"},"type":"array"},"events":{"description":"Ignore. Dashdoc technical data.","items":{"type":"object"},"type":"array"}},"type":"object"},"Segment_scheduled_start_range":{"description":"The datetime range at which the carrier scheduled the start of this segment","properties":{"start":{"description":"Min scheduled start date (ISO 8601)","type":"string"},"end":{"description":"Max scheduled start date (ISO 8601)","type":"string"}},"type":"object"},"Segment_scheduled_end_range":{"description":"The datetime range at which the carrier scheduled the end of this segment","properties":{"start":{"description":"Min scheduled end date (ISO 8601)","type":"string"},"end":{"description":"Max scheduled end date (ISO 8601)","type":"string"}},"type":"object"},"Segment_child_transport":{"description":"If the segment is chartered, will contain the child transport","properties":{"uid":{"format":"uuid","type":"string"},"sequential_id":{"type":"number"},"remote_id":{"type":"string"},"has_strong_link":{"type":"boolean"}},"type":"object"},"Statuses":{"enum":["created","updated","confirmed","declined","verified","invoiced","paid","cancelled","assigned","sent_to_trucker","acknowledged","truck_wash","on_loading_site","loading_complete","on_unloading_site","unloading_complete","bulking_break_started","bulking_break_complete","rounds_started","round_added","round_added_v2","round_edited","round_deleted","rounds_complete","event","checklist_filled","activity_complete","on_the_way","handling_started","done"],"type":"string"},"Status":{"properties":{"uid":{"format":"uuid","type":"string"},"created":{"description":"Date of creation on the server. Useful when the transport is created by mobile devices. If network connection is bad, the `created` date can be later than `created_device`","format":"date-time","type":"string"},"created_device":{"description":"If created from a mobile device, date of creation on the device.","format":"date-time","type":"string"},"creation_method":{"type":"string"},"category":{"description":"event that occured on the transport","type":"string"},"author":{"description":"details about author of the update. Contact Dashdoc if more details is needed.","type":"object"},"content":{"description":"Contact Dashdoc if more details is needed.","type":"object"},"content_signatory":{"description":"Contact Dashdoc if more details is needed.","type":"object"},"target":{"description":"Contact Dashdoc if more details is needed.","type":"object"},"site":{"description":"Contact Dashdoc if more details is needed.","type":"object"},"site_id":{"description":"Contact Dashdoc if more details is needed.","format":"uuid","type":"string"},"delivery":{"description":"Contact Dashdoc if more details is needed.","format":"uuid","type":"string"},"segment":{"description":"Contact Dashdoc if more details is needed.","format":"uuid","type":"string"},"transport":{"description":"Contact Dashdoc if more details is needed.","format":"uuid","type":"string"},"signature":{"description":"Contact Dashdoc if more details is needed.","type":"object"},"latitude":{"description":"Contact Dashdoc if more details is needed.","format":"float","type":"number"},"longitude":{"description":"Contact Dashdoc if more details is needed.","format":"float","type":"number"},"update_details":{"description":"Contact Dashdoc if more details is needed.","type":"object"},"author_company":{"type":"number"}},"required":["uid"],"type":"object"},"TransportMessage":{"properties":{"uid":{"format":"uuid","type":"string"},"created":{"$ref":"#/components/schemas/created"},"created_device":{"format":"date-time","type":"string"},"creation_method":{"type":"string"},"author":{"$ref":"#/components/schemas/NewTransportMessage_author"},"type":{"enum":["note","load_verification","share","document","photo"],"maxLength":100,"type":"string"},"document_title":{"description":"Filename or if uploaded by a trucker from the mobile app, the document title is generic, for instance `photo`.","maxLength":100,"type":"string"},"document_type":{"enum":["load_photo","cmr","washing_note","delivery_note","confirmation","weight_note","waste_manifest","holders_swap_note","invoice"],"maxLength":100,"type":"string"},"document":{"description":"URL of the stored document. You can download the document from this URL.","type":"string"},"is_attached_to_cmr":{"type":"boolean"},"transport":{"format":"uuid","type":"string"},"site":{"description":"This field is used for the default values of the field readable_by_company_ids; if null, companies from all Sites of the transport are listed in readable_by_company_ids, otherwise only the company of this Site. Site must exist in this transport. This field is part of a beta feature.","format":"uuid","nullable":true,"type":"string"},"site_remote_id":{"type":"string"},"readable_by_company_ids":{"description":"A list containing the pk of each company allowed to access the document, every company must be part of the transport. If no values are sent, it will be computed with default values; Carrier, Shipper, Invoiced Customer and Site's pk (see Site field). Once values have been sent, the behavior adding default companies is deactivated. The author company is always added. Only pks of companies from the transport will be added, others will be ignored. This field is part of a beta feature.","items":{"type":"integer"},"type":"array"},"message":{"description":"message displayed in the activity thread of a transport in the web app and in the mobile app","type":"string"},"latitude":{"$ref":"#/components/schemas/latitude"},"longitude":{"$ref":"#/components/schemas/longitude"},"reference":{"description":"Free text. This reference is searchable in the transports dashboard. Filled by trucker if document is added from mobile app, by user if document is added from web app, or filled by API request.","maxLength":140,"type":"string"},"visible_by_everyone":{"$ref":"#/components/schemas/visible_by_everyone"},"readable_by_trucker":{"$ref":"#/components/schemas/readable_by_trucker"},"extracted_reference":{"description":"Reference extracted by AI from the document. AI runs only on weight notes, so it will be null for other documents. \"\" if no reference has been found by the AI.","type":"string"}},"type":"object"},"NewTransportMessage_author":{"properties":{"display_name":{"type":"string"},"company":{"type":"number"},"pk":{"description":"Dashdoc's internal id.","type":"number"}},"type":"object"},"visible_by_everyone":{"description":"This field is used to make the transport message public, which makes it visible by all parties of the transport.","type":"boolean"},"readable_by_trucker":{"description":"This field is used to allow truckers to see the transport message. **Only available for carriers.**","type":"boolean"},"requested_vehicle":{"description":"Only useful when the transport is created by the shipper. Free text except punction and special characters.","maxLength":40,"type":"string"},"Document":{"properties":{"pk":{"type":"integer"},"file_updated_date":{"description":"Date was updated on the server.","format":"date-time","type":"string"},"delivery":{"description":"Contact Dashdoc if more details are needed.","format":"uuid","type":"string"},"delivery_sequential_id":{"description":"eCMR number (for category \"cmr\" and \"ldv\")","type":"integer"},"reference":{"type":"integer"},"category":{"description":"Type of document. Possible values are \"cmr\", \"cmr4\", \"ldv\", \"orc\", \"chc\", \"rental\" and \"loading_plan\"","type":"string"},"languages":{"description":"Languages displayed in the document (CMR only), formatted as an 2-letter ISO 639-1 language code","items":{"type":"string"},"type":"array"},"name":{"description":"generic name of the document","type":"string"},"file":{"description":"path to the document","format":"url","type":"string"},"business_privacy_scope":{"description":"Ignore. Dashdoc technical data.","type":"boolean"},"cancelled":{"description":"Date of cancellation of the the document","format":"date-time","type":"string"}},"type":"object"},"deprecated_price":{"deprecated":true,"description":"Full price for the transport","format":"float","nullable":true,"type":"number"},"customer_to_invoice":{"properties":{"pk":{"description":"Dashdoc's internal id.","type":"number"},"name":{"type":"string"},"invoicing_address":{"$ref":"#/components/schemas/customer_to_invoice_invoicing_address"}},"type":"object"},"customer_to_invoice_invoicing_address":{"properties":{"address":{"type":"string"},"city":{"type":"string"},"postcode":{"type":"string"},"country":{"$ref":"#/components/schemas/country"}},"type":"object"},"Transport_parent_transport":{"description":"if this is a chartered transport, this will contains the parent transport it is chartered from","properties":{"uid":{"format":"uuid","type":"string"},"sequential_id":{"type":"number"},"remote_id":{"type":"string"},"has_strong_link":{"type":"boolean"}},"type":"object"},"deprecated_invoiced_price":{"deprecated":true,"description":"Invoiced price for the transport. Deprecated in favour of pricing field","format":"float","nullable":true,"type":"number"},"Transport_references":{"properties":{"role":{"type":"string"},"company":{"$ref":"#/components/schemas/Transport_company"},"reference":{"type":"string"}},"type":"object"},"Transport_company":{"properties":{"name":{"type":"string"}},"type":"object"},"global_instructions":{"description":"Operating instructions. The carrier, the shipper and the creator of the transport have access to those instructions. However, the creator is the only who has the right to edit.","maxLength":1000,"type":"string"}}},"paths":{"/segments/{uid}/assign/":{"post":{"description":"Assign trucker, vehicle and trailers to a segment and all previous and subsequent segments as long as no break is encountered.","operationId":"assignSegments","parameters":[{"description":"uid of the segment to assign means to","in":"path","name":"uid","required":true,"schema":{"format":"uuid","type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/AssignSegment"}}},"required":true},"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Transport"}}},"description":"OK"}},"summary":"Assign trucker, vehicle and trailers","tags":["Segments"]}}}}
````

## Create a break

> It is possible to create a break and actually separate a segment into two segments. The second segment starts from the break position and ends at the former destination of the original segment. \
> \
> While creating the break, it is possible to assign trucker, vehicle and trailer for the second segment that will be created and all the following segments until next break or final segment. \
> \
> Trucker, vehicle and trailer assigned to segment before creating the break will remain assigned to the segment ending at the break position.

````json
{"openapi":"3.0.0","info":{"title":"Dashdoc public API","version":"4.0"},"tags":[{"name":"Segments"}],"servers":[{"description":"Production","url":"https://api.dashdoc.eu/api/v4"},{"description":"Sandbox","url":"https://sandbox.dashdoc.eu/api/v4"}],"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"description":"Authentication is token based. You can issue a token for your API request from the ['API' section of the settings](http://dashdoc.eu/app/settings/api/) menu. The token MUST be sent in a `Authorization` header with each request.\n\n\n**Example of authenticated request**\n```\n$ curl -X GET -H \"Authorization: Token <your token>\" \"https://api.dashdoc.eu/api/v4/\"\n```\n","in":"header","name":"Authentication","type":"apiKey"}},"schemas":{"BreakSegment":{"properties":{"site":{"$ref":"#/components/schemas/CreateOrUpdateSite_2"},"trucker_id":{"$ref":"#/components/schemas/TruckerForSegment"},"vehicle":{"$ref":"#/components/schemas/VehicleForSegment"},"trailers":{"description":"trailers for the post break segment","items":{"$ref":"#/components/schemas/TrailerForSegment"},"type":"array"}},"required":["site"],"type":"object"},"CreateOrUpdateSite_2":{"properties":{"remote_id":{"description":"The id of the site in your system","type":"string"},"address":{"$ref":"#/components/schemas/AddressGetOrCreate"},"loading_instructions":{"$ref":"#/components/schemas/loading_instructions"},"unloading_instructions":{"$ref":"#/components/schemas/unloading_instructions"},"instructions":{"$ref":"#/components/schemas/site_instructions"},"reference":{"type":"string"},"action":{"deprecated":true,"description":"Deprecated. Accepted for backward compatibility but ignored.","type":"string"},"eta":{"nullable":true,"type":"string"},"supports_exchanges":{"$ref":"#/components/schemas/CreateOrUpdateSupportsExchangeForTransport"},"arrival_date":{"description":"expected arrival date (YYYY-MM-DD)","format":"date","type":"string"},"arrival_time_min":{"description":"expected arrival min time (HH:mm)","type":"string"},"arrival_time_max":{"description":"expected arrival max time (HH:mm)","type":"string"},"date_exact":{"description":"if `true`, `arrival_time_max` is considered as being on the following day from `arrival_date`","type":"boolean"},"trucker_instructions":{"$ref":"#/components/schemas/trucker_instructions"}},"type":"object"},"AddressGetOrCreate":{"description":"Identification of the address. You may simply use its `pk` or `remote_id` if the address already exists, or you can send address details as in /addresses/ web service. The address may be recognized with its details or if it doesn't exist, the address will be created with the information you send based on what's possible when creating an address via /addresses/ web service.","properties":{"pk":{"description":"Dashdoc's internal id.","type":"number"},"remote_id":{"description":"The id of the address in your system.","type":"string"}},"type":"object"},"loading_instructions":{"deprecated":true,"description":"**Prefer using the field `instructions`.** Loading instructions, visible to all parties (trucker, carrier, shipper, site). Displayed in the trucker mobile app. Not visible in the eCMR.","maxLength":1000,"type":"string"},"unloading_instructions":{"deprecated":true,"description":"**Prefer using the field `instructions`.** Unloading instructions, visible to all parties (trucker, carrier, shipper, site). Displayed in the trucker mobile app. Not visible in the eCMR.","maxLength":1000,"type":"string"},"site_instructions":{"description":"Site instructions, visible to all parties (trucker, carrier, shipper, site). Displayed in the trucker mobile app. Not visible in the eCMR. If the field is not provided, the address's site instructions will be used.","maxLength":1000,"type":"string"},"CreateOrUpdateSupportsExchangeForTransport":{"properties":{"support_type":{"$ref":"#/components/schemas/CreateOrUpdateSupportsExchangeForTransport_support_type"},"expected_retrieved":{"description":"Expected number of supports that should be retrieved on the site","type":"number"},"actual_retrieved":{"description":"Actual number of supports that were retrieved on the site","type":"number"},"expected_delivered":{"description":"Expected number of supports that should be delivered on the site","type":"number"},"actual_delivered":{"description":"Actual number of supports that were delivered on the site","type":"number"},"observations":{"description":"Free text. Observations about this supports exchange. Can be filled on mobile app, web app or via API.","type":"string"}},"required":["support_type"],"type":"object"},"CreateOrUpdateSupportsExchangeForTransport_support_type":{"description":"Type of the supports that are exchanged","properties":{"uid":{"format":"uuid","type":"string"},"remote_id":{"description":"The id of the support type in your system.","type":"string"}},"type":"object"},"trucker_instructions":{"description":"**This field is part of a beta feature.** Private instructions. **The carrier of the transport is the only one who can edit and read those instructions.** Note that those instructions are not visible in the consignment note and can be accessed by the trucker. The value is null if the caller doesn't have the right of access to the data.","maxLength":1000,"type":"string"},"TruckerForSegment":{"properties":{"pk":{"description":"Dashdoc's internal id. Optional, not required if `remote_id` is sent.","type":"number"},"remote_id":{"description":"The ID of the trucker in your system. Optional, ignored if pk is sent.","type":"string"}},"type":"object"},"VehicleForSegment":{"properties":{"license_plate":{"description":"License plate number. Creates a new vehicle if unknown.","maxLength":200,"type":"string"}},"type":"object"},"TrailerForSegment":{"properties":{"license_plate":{"description":"License plate number. Creates a new trailer if unknown.","maxLength":200,"type":"string"}},"type":"object"},"Transport":{"properties":{"uid":{"description":"Dashdoc's internal id. It will be automatically generated by us.","format":"uuid","type":"string"},"sequential_id":{"type":"number"},"created":{"description":"Date of creation sent by the creator. Useful when the transport is created by mobile devices. If network connection is bad, the `created` date can be later than `created_device`","format":"date-time","type":"string"},"updated":{"format":"date-time","type":"string"},"deleted":{"nullable":true,"type":"string"},"remote_id":{"description":"Your transport id. It has to be unique among all your transports","type":"string"},"carrier_address":{"$ref":"#/components/schemas/AddressForTransport"},"created_by":{"$ref":"#/components/schemas/Company"},"created_device":{"format":"date-time","type":"string"},"creation_method":{"enum":["mobile_app","api","web_app"],"type":"string"},"archived_by":{"items":{"type":"object"},"type":"array"},"is_order":{"type":"boolean"},"carrier_assignation_status":{"allOf":[{"$ref":"#/components/schemas/CarrierAssignationStatus"}],"nullable":true},"invite_code":{"type":"string"},"deliveries":{"items":{"$ref":"#/components/schemas/Delivery"},"type":"array"},"segments":{"items":{"$ref":"#/components/schemas/Segment"},"type":"array"},"status":{"$ref":"#/components/schemas/Statuses"},"status_updates":{"items":{"$ref":"#/components/schemas/Status"},"type":"array"},"has_observations":{"type":"boolean"},"messages":{"items":{"$ref":"#/components/schemas/TransportMessage"},"type":"array"},"requested_vehicle":{"$ref":"#/components/schemas/requested_vehicle"},"documents":{"items":{"$ref":"#/components/schemas/Document"},"type":"array"},"carrier_reference":{"description":"Text that will help the carrier operators manage the transports, e.g. transport number in his TMS. It should only be set by the carrier of the transport and the transport's creator can toggle a company-wide setting to only allow the carrier to set it.","type":"string"},"price":{"$ref":"#/components/schemas/deprecated_price"},"requires_washing":{"description":"Flag to enable the truck washing flow in the mobile app","type":"boolean"},"business_privacy":{"description":"Flag to enable 'business privacy' mode: no eCMR will be generated, and the trucker won't be prompted to share the transport link.","type":"boolean"},"is_multiple_compartments":{"description":"Flag to enable 'multiple compartments' mode: truckers will have to select in which compartments loads were loaded. It also generates a specific delivery document : loading_plan.","type":"boolean"},"loading_plan":{"description":"Uid of the loading plan created by the trucker. Contact us if you need to retrieve data from it","type":"string"},"customer_to_invoice":{"$ref":"#/components/schemas/customer_to_invoice"},"parent_transport":{"$ref":"#/components/schemas/Transport_parent_transport"},"invoice_number":{"nullable":true,"type":"string"},"invoiced_price":{"$ref":"#/components/schemas/deprecated_invoiced_price"},"volume_display_unit":{"enum":["m3","L"],"type":"string"},"references":{"items":{"$ref":"#/components/schemas/Transport_references"},"type":"array"},"rental_deliveries":{"description":"Array of transports executed by the trucker during the rental order. Implies that the current transport is a rental order. Inner objects have the same transport data structure.","items":{"$ref":"#/components/schemas/Transport"},"type":"array"},"billing-metrics":{"deprecated":true,"description":"Retired feature, will always be null.","nullable":true,"type":"string"},"shape":{"type":"string"},"instructions":{"$ref":"#/components/schemas/global_instructions"},"carbon_footprint":{"description":"Carbon footprint of the transport in kgCO2","nullable":true,"readOnly":true,"type":"number"},"tags":{"description":"List of tags applied to the transport.","items":{"$ref":"#/components/schemas/Tag"},"type":"array"}},"required":["business_privacy","carrier_address","carrier_reference","created","created_by","created_device","creation_method","deliveries","documents","has_observations","invite_code","invoice_number","is_order","messages","price","references","remote_id","requested_vehicle","requires_washing","segments","sequential_id","status","status_updates","uid","updated"],"type":"object"},"AddressForTransport":{"properties":{"pk":{"description":"Dashdoc's internal id.","type":"number"},"name":{"type":"string"},"address":{"type":"string"},"city":{"type":"string"},"postcode":{"type":"string"},"country":{"$ref":"#/components/schemas/country"},"latitude":{"$ref":"#/components/schemas/latitude"},"longitude":{"$ref":"#/components/schemas/longitude"},"radius":{"default":500,"description":"Radius around the GPS coordinates within which the address is located (in meters)","type":"integer"},"coords_validated":{"default":false,"description":"if `true`, when this address is used as a loading or unloading site, the mobile app displays an itinerary button to start GPS app with guidance to these coordinates","type":"boolean"},"is_demo":{"$ref":"#/components/schemas/is_demo"},"is_carrier":{"type":"boolean"},"is_shipper":{"type":"boolean"},"is_origin":{"$ref":"#/components/schemas/address_is_origin_and_is_destination"},"is_destination":{"$ref":"#/components/schemas/address_is_origin_and_is_destination"},"created_by":{"type":"number"},"created":{"$ref":"#/components/schemas/created"},"remote_id":{"description":"The id of the address in your system.","type":"string"},"company":{"$ref":"#/components/schemas/CompanyForTransportAddress"},"original":{"type":"number"}},"type":"object"},"country":{"description":"Only the 2-character codification is accepted (ISO 3166-1 alpha-2)","type":"string"},"latitude":{"description":"Latitude using the decimal GPS coordinates (WGS84). At 7 decimals, the position is accurate around the centimeter.","format":"float","nullable":true,"type":"number"},"longitude":{"description":"Longitude using the decimal GPS coordinates (WGS84). At 7 decimals, the position is accurate around the centimeter.","format":"float","nullable":true,"type":"number"},"is_demo":{"description":"Indicates that the address is a fake one created from demonstration. Everything linked to it will be deleted when using the 'Delete demo content' button in company parameters","type":"boolean"},"address_is_origin_and_is_destination":{"description":"Whether this address is a \"Logistic Points\" and will be usable as pickup/delivery point.\nThe distinction between origin/pickup and destination/delivery was merged as a single \"Logistic Point\" concept. `is_origin` implies `is_destination` and vice-versa.\n","type":"boolean"},"created":{"description":"Date of creation on our server","format":"date-time","type":"string"},"CompanyForTransportAddress":{"properties":{"pk":{"description":"Dashdoc's internal id.","type":"number"},"remote_id":{"description":"The id of the company in your system.","type":"string"},"name":{"type":"string"},"trade_number":{"type":"string"},"country":{"$ref":"#/components/schemas/country"},"settings_contract_html":{"description":"Ignore. Dashdoc technical data.","type":"string"},"settings_logo":{"description":"Ignore. Dashdoc technical data.","nullable":true,"type":"string"},"settings_stamp":{"description":"Ignore. Dashdoc technical data.","nullable":true,"type":"string"},"settings_print_mode":{"description":"Ignore. Dashdoc technical data.","type":"boolean"},"settings_special_agreements":{"description":"Ignore. Dashdoc technical data.","type":"string"},"settings_transport_order_observations":{"type":"string"},"settings_constrain_reference_edition":{"type":"boolean"},"vat_number":{"type":"string"},"is_verified":{"type":"boolean"}},"type":"object"},"Company":{"properties":{"pk":{"description":"Dashdoc's internal id.","type":"number"},"remote_id":{"type":"string"},"created":{"format":"date-time","type":"object"},"updated":{"format":"date-time","type":"string"},"deleted":{"type":"boolean"},"invoicing_remote_id":{"description":"The id of the company in your invoicing system.","type":"string"},"name":{"type":"string"},"phone_number":{"type":"string"},"email":{"type":"string"},"siren":{"type":"string"},"trade_number":{"type":"string"},"country":{"$ref":"#/components/schemas/country"},"comments":{"type":"string"},"vat_number":{"type":"string"},"is_verified":{"type":"boolean"},"settings_transport_order_observations":{"type":"string"},"settings_constrain_reference_edition":{"type":"boolean"},"account_type":{"description":"Ignore. Dashdoc technical data.","type":"string"},"logo":{"description":"The URL of your logo","nullable":true,"type":"string"},"subscription_access":{"type":"object"},"settings":{"type":"object"},"primary_address":{"$ref":"#/components/schemas/PrimaryAddress_1"},"managers":{"items":{"$ref":"#/components/schemas/Managers"},"type":"array"},"has_loggable_managers":{"description":"Ignore. Dashdoc technical data.","type":"boolean"}},"type":"object"},"PrimaryAddress_1":{"properties":{"pk":{"description":"Dashdoc's internal id.","type":"number"},"name":{"type":"string"},"address":{"type":"string"},"city":{"type":"string"},"postcode":{"type":"string"},"country":{"$ref":"#/components/schemas/country"},"latitude":{"$ref":"#/components/schemas/latitude"},"longitude":{"$ref":"#/components/schemas/longitude"},"radius":{"default":500,"description":"Radius around the GPS coordinates within which the address is located (in meters)","type":"integer"},"coords_validated":{"default":false,"description":"if `true`, when this address is used as a loading or unloading site, the mobile app displays an itinerary button to start GPS app with guidance to these coordinates","type":"boolean"},"is_demo":{"$ref":"#/components/schemas/is_demo"},"is_carrier":{"description":"Whether this company is considered a carrier","type":"boolean"},"is_shipper":{"description":"Whether this company is considered a shipper","type":"boolean"},"is_origin":{"description":"Legacy, not relevant for a company's primary address. Consider creating a separate address associated with this partner instead.\n","type":"boolean"},"is_destination":{"description":"Legacy, not relevant for a company's primary address. Consider creating a separate address associated with this partner instead.\n","type":"boolean"},"created_by":{"$ref":"#/components/schemas/created-by"},"created_by_user":{"$ref":"#/components/schemas/created-by-user"},"created":{"$ref":"#/components/schemas/created"},"remote_id":{"description":"The id of the address in your system.","type":"string"}},"type":"object"},"created-by":{"nullable":true,"properties":{"pk":{"description":"company id","type":"number"},"name":{"description":"name of the company","type":"string"}},"type":"object"},"created-by-user":{"nullable":true,"properties":{"pk":{"type":"number"},"display_name":{"type":"string"},"company":{"description":"The company id who created the address","type":"number"},"trucker_id":{"description":"The trucker id who created the address","type":"number"}},"type":"object"},"Managers":{"properties":{"pk":{"description":"Dashdoc's internal id.","type":"number"},"user":{"$ref":"#/components/schemas/Managers_user"},"display_name":{"type":"string"},"role":{"type":"string"}},"type":"object"},"Managers_user":{"properties":{"email":{"format":"email","type":"string"},"first_name":{"type":"string"},"last_name":{"type":"string"}},"type":"object"},"CarrierAssignationStatus":{"description":"Carrier assignment state of an order (Only for chartered transport). Null values should be treated as unassigned.","enum":["unassigned","draft_assigned","assigned"],"type":"string"},"Delivery":{"properties":{"uid":{"description":"Dashdoc's internal id.","type":"string"},"sequential_id":{"description":"eCMR number","type":"number"},"remote_id":{"type":"string"},"tracking_id":{"description":"Deprecated","type":"string"},"origin":{"$ref":"#/components/schemas/CreateOrUpdateSite"},"destination":{"$ref":"#/components/schemas/CreateOrUpdateSite"},"shipper_address":{"$ref":"#/components/schemas/NewAddressReduced"},"planned_loads":{"description":"Loads as planned before the transport has been started","items":{"$ref":"#/components/schemas/DeliveryLoads"},"type":"array"},"loads":{"description":"Loads as they are most recently defined. This means it is: \n\n* equal to `planned_loads` before loading is actually done \n\n* equal to `origin_loads` after loading is done (with details validated by trucker), but unloading is not done yet \n\n* equal to `loads_loads` after unloading is actually done (with details validated by trucker)","items":{"$ref":"#/components/schemas/DeliveryLoads"},"type":"array"},"origin_loads":{"description":"Loads as validated by trucker right after loading is done","items":{"$ref":"#/components/schemas/DeliveryLoads"},"type":"array"},"destination_loads":{"description":"Loads as validated by trucker right after unloading is done","items":{"$ref":"#/components/schemas/DeliveryLoads"},"type":"array"},"tracking_contacts":{"description":"List of contacts that will automatically receive an email when delivery is done. ⚠️ If no tracking contacts are provided for a company and the setting `partner_email_fallback` is enabled, a tracking contact corresponding to the company's email will be added, at the creation of the transport. This only applies to the carrier and the shipper.","items":{"$ref":"#/components/schemas/Delivery_tracking_contacts"},"type":"array"},"shipper_reference":{"description":"Reference the client may use to match transport on his own system, e.g. an order number. The transport's creator can toggle a setting to only allow himself to set it.","type":"string"},"multiple_rounds":{"description":"If true, the trucker will be able to do a signature at loading, then add any amount of rounds for the transport (with weight/volume and weight ticket), and finish with a signature at unloading.","type":"boolean"}},"type":"object"},"CreateOrUpdateSite":{"properties":{"uid":{"format":"uuid","type":"string"},"remote_id":{"description":"The id of the site in your system","type":"string"},"address":{"allOf":[{"$ref":"#/components/schemas/SiteAddress"}],"nullable":true},"real_start":{"description":"date and time when trucker arrived on site","format":"date-time","readOnly":true,"type":"string"},"real_end":{"description":"date and time when trucker completed loading / unloading (depending whether site is origin or destination)","format":"date-time","readOnly":true,"type":"string"},"signature_process":{"type":"string"},"is_booking_needed":{"type":"boolean"},"instructions":{"$ref":"#/components/schemas/site_instructions"},"reference":{"type":"string"},"action":{"deprecated":true,"description":"Deprecated. Accepted for backward compatibility but ignored. Responses always return an empty string.","type":"string"},"eta":{"format":"date-time","nullable":true,"type":"string"},"eta_tracking":{"type":"boolean"},"punctuality_status":{"readOnly":true,"type":"string"},"supports_exchanges":{"$ref":"#/components/schemas/SupportsExchange"},"category":{"type":"string"},"slots":{"items":{"$ref":"#/components/schemas/Site_slots"},"type":"array"},"trucker_instructions":{"$ref":"#/components/schemas/trucker_instructions"},"trip":{"$ref":"#/components/schemas/Site_trip"}},"type":"object"},"SiteAddress":{"description":"Address of the site. Reference an existing address with its `pk` or `remote_id`, or send its details to have it matched or created.","properties":{"pk":{"description":"Dashdoc's internal id. Optional, set it to reference an existing address.","type":"integer"},"name":{"type":"string"},"address":{"type":"string"},"city":{"type":"string"},"postcode":{"type":"string"},"country":{"$ref":"#/components/schemas/country"},"latitude":{"$ref":"#/components/schemas/latitude"},"longitude":{"$ref":"#/components/schemas/longitude"},"radius":{"default":500,"description":"Radius around the GPS coordinates within which the address is located (in meters)","type":"integer"},"coords_validated":{"default":false,"description":"if `true`, when this address is used as a loading or unloading site, the mobile app displays an itinerary button to start GPS app with guidance to these coordinates","type":"boolean"},"is_demo":{"$ref":"#/components/schemas/is_demo"},"is_carrier":{"type":"boolean"},"is_shipper":{"type":"boolean"},"is_origin":{"$ref":"#/components/schemas/address_is_origin_and_is_destination"},"is_destination":{"$ref":"#/components/schemas/address_is_origin_and_is_destination"},"instructions":{"$ref":"#/components/schemas/site_instructions"},"remote_id":{"description":"The id of the address in your system.","type":"string"},"company":{"$ref":"#/components/schemas/CompanyForTransportAddress_1"}},"type":"object"},"CompanyForTransportAddress_1":{"description":"Identification of the company. You may simply use its `pk` or `remote_id` if the company already exists. Other possible identification method are its `trade_number` or `name`. If it doesn't exist, the company will be created with the information you send based on what's possible when creating a company via /companies/ web service. Minimum required information in this case is a name.","properties":{"pk":{"description":"Dashdoc's internal id.Optional, not required if `remote_id` is sent.","type":"integer"},"remote_id":{"description":"The id of the company in your system. Optional, ignored if `pk` is sent.","type":"string"},"trade_number":{"maxLength":100,"type":"string"},"name":{"maxLength":200,"type":"string"}},"type":"object"},"SupportsExchange":{"properties":{"uid":{"description":"uid of the support exchange","format":"uuid","type":"string"},"site":{"$ref":"#/components/schemas/SupportsExchange_site"},"support_type":{"$ref":"#/components/schemas/SupportType"},"expected_retrieved":{"description":"Expected number of supports that should be retrieved on the site","type":"number"},"actual_retrieved":{"description":"Actual number of supports that were retrieved on the site","type":"number"},"expected_delivered":{"description":"Expected number of supports that should be delivered on the site","type":"number"},"actual_delivered":{"description":"Actual number of supports that were delivered on the site","type":"number"},"observations":{"description":"Free text. Observations about this supports exchange. Can be filled on mobile app, web app or via API.","type":"string"},"remote_id":{"description":"The ID of the support in your system","type":"string"}},"type":"object"},"SupportsExchange_site":{"description":"site where supports exchange is expected","properties":{"uid":{"description":"uid of the site","format":"uuid","type":"string"},"remote_id":{"description":"remote_id of the site","type":"string"}},"type":"object"},"SupportType":{"description":"Type of the supports that are exchanged","properties":{"name":{"description":"Display name of the support type","type":"string"},"created":{"$ref":"#/components/schemas/created"},"uid":{"format":"uuid","type":"string"},"remote_id":{"description":"The id of the support type in your system."
[...]
